## deft 0.8

=== Makefile ===
EMACS=emacs

PACKAGE=deft

SOURCE=deft.el
COMPILED=deft.elc

VERSION=$(shell cat $(SOURCE) | sed -n 's/^;;; Version: \(.*\)/\1/p')

.el.elc:
	$(EMACS) -q -no-site-file -no-init-file -batch -f batch-byte-compile $<

all: $(COMPILED) README.md

.PHONY: dist

README.md: $(SOURCE) readme.sh
	./readme.sh

dist:
	DIR=$$(mktemp -d -t "$(PACKAGE)"); \
	DESTDIR="$$DIR/$(PACKAGE)-$(VERSION)"; \
	mkdir -p $$DESTDIR; \
	cp -a $(SOURCE) README.md $$DESTDIR; \
	tar zcf $(CURDIR)/$(PACKAGE)-$(VERSION).tar.gz -C $$DIR "$(PACKAGE)-$(VERSION)"; \
	rm -r $$DIR; \
	echo "$(PACKAGE)-$(VERSION).tar.gz has been created"

update: $(COMPILED)
	cp -a $(SOURCE) $(COMPILED) $(HOME)/.emacs.d/site-lisp

clean:
	rm -f $(COMPILED) index.text

## deft 0.7

=== debian/changelog ===
deft (0.7-1) unstable; urgency=medium

  * Initial release (Closes: #852761).

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 26 Jan 2017 21:30:00 -0700

=== debian/control ===
Source: deft
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper (>= 10),
 dh-elpa
Standards-Version: 3.9.8
Homepage: http://jblevins.org/projects/deft/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/deft.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/deft.git

Package: elpa-deft
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}, emacsen-common (>= 2.0.8)
Recommends: emacs (>= 46.0)
Enhances: emacs,
 emacs24,
 emacs25
Built-Using: ${misc:Built-Using}
Description: Emacs mode to browse, filter, and edit plain text notes
 Deft is an Emacs mode for quickly browsing, filtering, and editing
 directories of plain text notes, inspired by Notational Velocity.
 .
 It was designed for increased productivity when writing and taking
 notes, by making it fast and simple to find the right file at the
 right time, and by automating many of the usual tasks such as
 creating new files and saving files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	test -f README.md.orig || mv README.md README.md.orig
	./readme.sh

override_dh_auto_clean:
	dh_auto_clean
	test -f README.md.orig && mv README.md.orig README.md || true

## deft 0.8

=== debian/changelog ===
deft (0.8-5) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:58:47 +0900

deft (0.8-4) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (See: #904239)
  * debian/control: Remove Uploaders field.

 -- Lucian Augusto <lucian.augusto@proton.me>  Wed, 13 Dec 2023 11:11:57 -0300

deft (0.8-3) unstable; urgency=medium

  * Team upload

  [ David Krauser ]
  * Update maintainer email address

  [ David Bremner ]
  * Rebuild with dh-elpa 2.x

 -- David Bremner <bremner@debian.org>  Sat, 26 Dec 2020 10:09:14 -0400

deft (0.8-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sat, 24 Aug 2019 16:04:50 -0300

deft (0.8-1) unstable; urgency=medium

  * New upstream release.
  * Update upstream author's e-mail address.
  * Update Homepage: field.
  * Bump copyright years.
  * Point Vcs-* at salsa.
  * override_dh_auto_build target invokes dh_auto_build.
    Previously, it invoked readme.sh directly.
  * Declare compliance with Debian Policy 4.1.3.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 06 Feb 2018 19:54:12 -0700

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: deft
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
-Uploaders: Sean Whitton <spwhitton@spwhitton.name>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 10),
  dh-elpa
-Standards-Version: 3.9.8
-Homepage: http://jblevins.org/projects/deft/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/deft.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/deft.git
+Standards-Version: 4.1.3
+Homepage: https://jblevins.org/projects/deft/
+Vcs-Browser: https://salsa.debian.org/emacsen-team/deft
+Vcs-Git: https://salsa.debian.org/emacsen-team/deft.git/
 
 Package: elpa-deft
 Architecture: all
